## org.apache.mahout.cf.taste.hadoop.als
Class SharingMapper<K1,V1,K2,V2,S>

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<K1,V1,K2,V2>
          org.apache.mahout.cf.taste.hadoop.als.SharingMapper<K1,V1,K2,V2,S>

Type Parameters:
  `K1` -
  `V1` -
  `K2` -
  `V2` -

Direct Known Subclasses:
  PredictionMapper, SolveExplicitFeedbackMapper, SolveImplicitFeedbackMapper

    public abstract class SharingMapper<K1,V1,K2,V2,S>

extends org.apache.hadoop.mapreduce.Mapper<K1,V1,K2,V2>

Mapper class to be used by `MultithreadedSharingMapper`. Offers "global" before() and after() methods that will typically be used to set up static variables. Suitable for mappers that need large, read-only in-memory data to operate.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`SharingMapper()`

Method Summary

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, map, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharingMapper

    public SharingMapper()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.